org.apache.lucene.spatial.spatial4j

## Class Geo3dSpatialContextFactory

- java.lang.Object
- - org.locationtech.spatial4j.context.SpatialContextFactory
  - - org.apache.lucene.spatial.spatial4j.Geo3dSpatialContextFactory

-     public class Geo3dSpatialContextFactory
      extends org.locationtech.spatial4j.context.SpatialContextFactory

  Geo3d implementation of `SpatialContextFactory`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `PlanetModel` | `planetModel` The planet model

    - ### Fields inherited from class org.locationtech.spatial4j.context.SpatialContextFactory

      `args, binaryCodecClass, classLoader, distCalc, geo, hasFormatConfig, normWrapLongitude, readers, shapeFactoryClass, worldBounds, writers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Geo3dSpatialContextFactory()` Empty Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `init(Map<String,String> args, ClassLoader classLoader)`
    `protected void` | `initCalculator()`
    `protected void` | `initPlanetModel(Map<String,String> args)`
    `org.locationtech.spatial4j.context.SpatialContext` | `newSpatialContext()`

    - ### Methods inherited from class org.locationtech.spatial4j.context.SpatialContextFactory

      `addReaderIfNoggitExists, checkDefaultFormats, initField, initFormats, initWorldBounds, makeBinaryCodec, makeFormats, makeShapeFactory, makeSpatialContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### planetModel

          public PlanetModel planetModel

      The planet model

  - ### Constructor Detail

    - #### Geo3dSpatialContextFactory

          public Geo3dSpatialContextFactory()

      Empty Constructor.

  - ### Method Detail

    - #### newSpatialContext

          public org.locationtech.spatial4j.context.SpatialContext newSpatialContext()

      Overrides:
        `newSpatialContext` in class `org.locationtech.spatial4j.context.SpatialContextFactory`

    - #### init

          protected void init(Map<String,String> args,
                              ClassLoader classLoader)

      Overrides:
        `init` in class `org.locationtech.spatial4j.context.SpatialContextFactory`

    - #### initPlanetModel

          protected void initPlanetModel(Map<String,String> args)

    - #### initCalculator

          protected void initCalculator()

      Overrides:
        `initCalculator` in class `org.locationtech.spatial4j.context.SpatialContextFactory`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.